Creates a new job work instruction list.
Request Information
URI Parameters :
None.
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "51b3ec4c-7529-44e4-af86-73ea60fd02ee",
"jobs_id": "4b4f6ae7-4600-4b1d-add8-bd79d3d09023",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "0cd7bec2-26c1-4cc0-9fd6-98656b59be69",
"_parent_id": "605690e7-24ff-447e-8baf-c7e0992baf67",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "2ddc3b67-293b-4246-8030-d032a1fee004",
"project_reference_back_office": "sample string 5",
"project": {
"id": "6c64df54-9823-40a8-bf12-e2f8daaccada",
"_parent_id": "5bad4a5c-77fa-4d3b-ab68-a3d7dfe60a76",
"root_parent_id": "5c2bd1a5-4071-44b3-9f3f-46c92e957c36",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "9f99551d-5fed-4720-81b9-c6bc570e20bc",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "ce396af4-60d4-453c-b5e6-8b48e7ae5567",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a57114e5-068e-4ba5-bf32-c684df3d36c0",
"_parent_code": "sample string 6",
"sales_organization_id": "530d8665-82e4-4474-8d30-1850ebece7ef",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"equipment_model_id": "37d6d397-054b-4c20-ab85-f3c07ae66083",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "f5eef5ba-b644-4313-9f15-9f6805bb31f7",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "45b39b6f-a292-4b6b-96f2-03e51c0ef977",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "a656713d-41ac-41cd-a362-257371f1fd07",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "76e1e5f7-3b48-42bb-9dc7-39f66d5737f5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"equipment_family_id": "2af4688e-1ea1-41e1-a01f-b89479285aba",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "ce396af4-60d4-453c-b5e6-8b48e7ae5567",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a57114e5-068e-4ba5-bf32-c684df3d36c0",
"_parent_code": "sample string 6",
"sales_organization_id": "530d8665-82e4-4474-8d30-1850ebece7ef",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"date_in_production_since": "2026-10-17T05:31:12.7625665+00:00",
"date_out_of_production_since": "2026-10-17T05:31:12.7625665+00:00",
"date_end_support": "2026-10-17T05:31:12.7625665+00:00",
"sales_organization_id": "5fda42e8-d815-4cc0-928e-a4a71d2dc26e",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"project_status_id": "09b6a95d-d938-4343-a0e1-4e03d7076da3",
"project_status_code": "sample string 10",
"project_status": {
"id": "02b879fe-749b-4e3b-ba8f-7b7ee7b2e8ed",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "69ed1d6b-43a1-45f9-9f77-fca15350e9e4",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"company_id": "738b4c82-a9da-446f-acc9-257f3a8ba481",
"company_code": "sample string 12",
"db_address_id": "a106b1b4-75d2-4cf7-9c3a-4e4262c34693",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "aacc5ea0-d293-47b6-9022-dd8d4481f958",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "1787c51c-734b-4dec-b9e9-d330185c4629",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-17T05:31:12.7625665+00:00",
"date_create": "2026-10-17T05:31:12.7625665+00:00",
"date_update": "2026-10-17T05:31:12.7625665+00:00",
"updated_by_user_id": "bf6c3912-06ea-4c3d-83cf-db06f4f6a0d3",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-17T05:31:12.7625665+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-17T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-17T05:31:12.7625665+00:00",
"date_last_job": "2026-10-17T05:31:12.7625665+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-17T05:31:12.7625665+00:00",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00",
"is_mobile_installation": true
},
"job_type_id": "100f6bef-3f0e-4385-87ce-205b651dce8e",
"job_type_code": "sample string 7",
"job_type": {
"id": "5510b203-6ca4-43cc-94da-bf5c4005b19d",
"name": "sample string 2",
"sales_organization_id": "20fe06a3-1b24-44e8-b2b1-4cf7f093ef33",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00",
"code": "sample string 7"
},
"job_priority_id": "7b861b4a-63d0-41a1-8390-c6420181705a",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "69edd7a1-90cc-4eda-812c-ca6db6fd7352",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "80cac3da-95a9-4e27-9dc3-f87f291eaf7c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"job_status_id": "40444cba-6668-48e2-960a-f0b3308e6181",
"job_status_code": "sample string 11",
"db_address_id": "9871d2dd-b571-4289-9e37-718e100c76d1",
"contact_id": "7ad33df9-e3be-4be2-b358-6ee4518f0e62",
"requested_by_company_id": "71102b07-f470-4011-af0b-16433e181185",
"requested_by_contact_id": "40c7592e-fb66-4411-933e-ffc9b79be472",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-17T05:31:12.7625665+00:00",
"due_date": "2026-10-17T05:31:12.7625665+00:00",
"date_create": "2026-10-17T05:31:12.7625665+00:00",
"date_update": "2026-10-17T05:31:12.7625665+00:00",
"date_closed": "2026-10-17T05:31:12.7625665+00:00",
"suggested_user_id": "32d10976-b93d-42cd-a183-898fe8ffd2c2",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "4d61872d-c95d-4c64-bda3-33f1b6997350",
"db_language_id": "222f0b37-1333-4ca3-a5d5-4dc3e1bc68dd",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-17T05:31:12.7781881+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "d6559a27-c5ab-497d-9980-fe0ae8b75491",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f81371be-7648-417b-9390-8f0215b65cdd",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "4f006c23-12d5-4ede-a1fe-89941fbf038e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-17T05:31:12.7781881+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "31b5450e-feca-4ffb-9507-f9cc8287ee49"
},
"suggested_date_start": "2026-10-17T05:31:12.7781881+00:00",
"skill_id": "3344b746-a082-4ac2-89e5-9cbe5e0635a4",
"skill_code": "sample string 32",
"skill": {
"id": "52673883-5a31-4af1-91d9-3d493f59cf7e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "27632dd7-999d-41f1-b955-f51623d346e9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8226502f-1189-4a8d-b966-babe89f36a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5cdd1a04-ed46-4031-9ecb-df601cdd3429",
"db_currency_id": "f17c08d5-3ba3-4309-ab13-02748f15a825",
"db_language_id": "4e9f4098-06d3-40d3-b1c6-de3813847714",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:31:12.7625665+00:00"
},
"modified_dateutc": "2026-10-17T05:31:12.7781881+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "f9955d20-1f01-48f4-a57c-c08d566d945b",
"date_reported_by_company": "2026-10-17T05:31:12.7781881+00:00",
"id2": 36,
"company_id": "4dad6e3c-27b7-4a46-9833-e2b236e8ea03",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "fe3c537f-6bda-4d15-9a54-229ff929cdca",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-17T05:31:12.7781881+00:00"
},
"work_instruction_details_id": "ec2b0bf6-6f09-4154-afe3-14547efe3d0a",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "bc2ae271-1f2b-4419-ba11-7003db3dcbb3",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "1a3060cd-4d0c-4450-9522-5e5441b7d34e",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-17T05:31:12.7781881+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "b6550348-410d-4aec-a6ae-62334bf79119",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-17T05:31:12.7781881+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.